Namespace EsriPBuffer.Graph
The EsriPBuffer.Graph namespace contains message types for graph operations, including schema changes, entities, relationships, and query results.
Classes
- AddConstraintRulesRequestReflection
Holder for reflection information generated from esriPBuffer/graph/AddConstraintRulesRequest.proto
- AddConstraintRulesResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AddConstraintRulesResponse.proto
- AddDomainRequestReflection
Holder for reflection information generated from esriPBuffer/graph/AddDomainRequest.proto
- AddDomainResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AddDomainResponse.proto
- AddFieldsRequestReflection
Holder for reflection information generated from esriPBuffer/graph/AddFieldsRequest.proto
- AddFieldsResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AddFieldsResponse.proto
- AddIndexesRequestReflection
Holder for reflection information generated from esriPBuffer/graph/AddIndexesRequest.proto
- AddIndexesResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AddIndexesResponse.proto
- AddNamedTypesRequestReflection
Holder for reflection information generated from esriPBuffer/graph/AddNamedTypesRequest.proto
- AddNamedTypesResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AddNamedTypesResponse.proto
- ApplyEditsRequestReflection
Holder for reflection information generated from esriPBuffer/graph/ApplyEditsRequest.proto
- ApplyEditsResponseReflection
Holder for reflection information generated from esriPBuffer/graph/ApplyEditsResponse.proto
- AsyncCancellationResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AsyncCancellationResponse.proto
- AsyncResultResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AsyncResultResponse.proto
- AsyncStatusResponseReflection
Holder for reflection information generated from esriPBuffer/graph/AsyncStatusResponse.proto
- ClientDataDeleteRequest
If there are duplicate entries in the request, reject the entire request and send an error response. If a Client Data with the given key is not present in the database, include an error in the response. Successfully deleted keys won't be included in the response. The response will only contain the keys with errors.
- ClientDataFetchRequest
The
ClientDataFetchRequestis the message to be used in the body of fetch operations on the clientData resource.High Level Errors
Duplicate keys in the request will be rejected by the server and results in a high-level error in the response body.
Individual Client Data Response Behavior
- If the
ClientDataKeyis not present, an individual error for the specified key will be included in the response. - When
v_tagis not set, the response includes both the currentv_tagandvalue. - When
v_tagis set in the request, but does not match the persistedv_tag, the response includes bothv_tagandvalue. - When
v_tagis set in the request and matches the persistedv_tag, the response includes thev_tagand theNotModifiedmessage.
- If the
- ClientDataKey
ClientDataKeyandClientDatarepresent the key and value of client persisted data. The key is associated with one and only one value. This associative relationship is referred to as a key-value pair.The
ClientDataVTagor version tag is a case-sensitive, opaque identifier assigned by the server to a specific version of the value associated with theClientDataKey. The server does not need to send a full response if theClientDataassociated with theClientDataKeyhas not changed. Thev_tagis included in the response for upsert and fetch client data operations.The
keymust be non-empty and unique to everyClientData.
- ClientDataKeys
Used as input for delete client data requests or in the response for getting all client data keys.
- ClientDataKeysResponseReflection
Holder for reflection information generated from esriPBuffer/graph/ClientDataKeysResponse.proto
- ClientDataTypesReflection
Holder for reflection information generated from esriPBuffer/graph/ClientDataTypes.proto
- ClientDataUpsertRequest
If there are duplicate keys in the request, reject the entire request and send an error response. If a Client Data with the given key is not present in the database, add the value and return its v_tag. If a Client Data with the given key is present in the database, and a) If a v_tag in the request is not empty and doesn't match with the one in the database, reject the entire request and send an error response. b) Else update the value and return its new v_tag. If there are errors during upsert for some keys/values, other valid client data in the request still pass through and get stored successfully in the database (there is no global rollback).
- ConstraintRule
When enabled, constraint rules are applied to entities or relationships during ApplyEdits.
- CreateReplicaRequestReflection
Holder for reflection information generated from esriPBuffer/graph/CreateReplicaRequest.proto
- CreateReplicaResponseReflection
Holder for reflection information generated from esriPBuffer/graph/CreateReplicaResponse.proto
- DataModelTypesReflection
Holder for reflection information generated from esriPBuffer/graph/DataModelTypes.proto
- DataTransferStats
Statistics capturing the number of items involved in a data transfer. The semantics of the counts differ depending on whether the operation is an export or an import:
For export operations:
- source_count: Total number of entities or relationships present in the Knowledge Graph service.
- transferred_count: Number of entities or relationships successfully exported to the output format.
For import operations:
- source_count: Total number of entities or relationships available in the source data (e.g., a .sd file).
- transferred_count: Number of entities or relationships successfully imported into the Knowledge Graph service.
- DataTransferTypesReflection
Holder for reflection information generated from esriPBuffer/graph/DataTransferTypes.proto
- DatabaseNativeIdentifier
Durable, settable database native identifier. Not necessarily a defined Graph Property of [Entity|Relationship]Values
- DateTimeOffset
DateTimeOffsetrepresents a civil time encoded as components of date, time & time offset. The date is relative to the proleptic Gregorian calendar.
- DeleteAll
empty message
- DeleteClientDataRequestReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteClientDataRequest.proto
- DeleteClientDataResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteClientDataResponse.proto
- DeleteConstraintRulesRequestReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteConstraintRulesRequest.proto
- DeleteConstraintRulesResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteConstraintRulesResponse.proto
- DeleteDomainResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteDomainResponse.proto
- DeleteFieldRequestReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteFieldRequest.proto
- DeleteFieldResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteFieldResponse.proto
- DeleteIndexesRequestReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteIndexesRequest.proto
- DeleteIndexesResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteIndexesResponse.proto
- DeleteNamedTypeResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DeleteNamedTypeResponse.proto
- DiscoverDataModelResponseReflection
Holder for reflection information generated from esriPBuffer/graph/DiscoverDataModelResponse.proto
- DurationValue
A
DurationValuerepresents a signed span of time. It is related toTimeOnlyValue,TimestampOffsetValue,DateOnlyValue&datetime_valuein that the difference between 2 temporal instants is aDurationValue, and it can be added / subtracted from a temporal instant.
- EsriGraphTypesReflection
Holder for reflection information generated from esriPBuffer/graph/EsriGraphTypes.proto
- ExportRequest
A generic export request that defines the type of export operation to perform. This abstraction provides flexibility to support multiple export packaging formats and strategies as the system evolves.
Current behavior:
- Supports ExportServiceDefinitionRequest, which packages the portal item info, Knowledge Graph service data model, and graph data into Esri’s standard Service Definition (.sd) file format.
- ExportRequestReflection
Holder for reflection information generated from esriPBuffer/graph/ExportRequest.proto
- ExportResponseReflection
Holder for reflection information generated from esriPBuffer/graph/ExportResponse.proto
- ExportServiceDefinitionRequest
Request parameters for exporting a Knowledge Graph service as a Service Definition (SD) portal item. This message is specific to the "export as service definition" format.
The exported Service Definition bundles together:
- Portal item info
- Service manifest xml
- Service configuration json file
- Knowledge Graph service data model
- Graph data
This packaging enables publishing a new knowledge graph service using the existing publish operation in sharing API.
- ExportServiceDefinitionRequestReflection
Holder for reflection information generated from esriPBuffer/graph/ExportServiceDefinitionRequest.proto
- ExportServiceDefinitionResultReflection
Holder for reflection information generated from esriPBuffer/graph/ExportServiceDefinitionResult.proto
- FetchClientDataRequestReflection
Holder for reflection information generated from esriPBuffer/graph/FetchClientDataRequest.proto
- FetchClientDataResponseReflection
Holder for reflection information generated from esriPBuffer/graph/FetchClientDataResponse.proto
- FilterTypesReflection
Holder for reflection information generated from esriPBuffer/graph/FilterTypes.proto
- FloatArray
packed array types
- GeometryValue.Types
Container for nested types declared in the GeometryValue message type.
- GraphObjectIdentifierSetReflection
Holder for reflection information generated from esriPBuffer/graph/GraphObjectIdentifierSet.proto
- KeyValuePair
Order preserving
KeyValuePair
- NativeDataModelTypesReflection
Holder for reflection information generated from esriPBuffer/graph/NativeDataModelTypes.proto
- NotModified
empty message
- QuantizationParameters.Types
Container for nested types declared in the QuantizationParameters message type.
- QueryDataModelResponseReflection
Holder for reflection information generated from esriPBuffer/graph/QueryDataModelResponse.proto
- QueryRequestReflection
Holder for reflection information generated from esriPBuffer/graph/QueryRequest.proto
- QueryResponseReflection
Holder for reflection information generated from esriPBuffer/graph/QueryResponse.proto
- QueryTypesReflection
Holder for reflection information generated from esriPBuffer/graph/QueryTypes.proto
- RelationshipExclusionRule
A relationship exclusion rule consists of a set of origin entity types, a set of relationship types, and a set of destination entity types. A relationship matches the pattern specified by the rule if the origin entity's type is contained in the set of origin entity types, the relationship's type is contained in the set of relationship types, and the destination entity's type is contained in the set of destination entity types. A relationship exclusion rule mandates that a relationship must not match the pattern specified by the rule.
- ReplicaDefinitionResponseReflection
Holder for reflection information generated from esriPBuffer/graph/ReplicaDefinitionResponse.proto
- ReplicaSnapshot
empty message to indicate the response is a snapshot of the replica as defined by the replica definition.
When replica_snapshot is specified, the server will return the current representation of entities and relationships of the replica as defined by the replica definition instead of the delta of the changes.
- ReplicasResponseReflection
Holder for reflection information generated from esriPBuffer/graph/ReplicasResponse.proto
- SearchQueryRequestReflection
Holder for reflection information generated from esriPBuffer/graph/SearchQueryRequest.proto
- SearchTypesReflection
Holder for reflection information generated from esriPBuffer/graph/SearchTypes.proto
- SetOfNamedTypes
An empty array for
setindicates the empty set. An empty array forset_complementindicates the set of all named types.
- StaticDefinition
The StaticDefinition guarantees entities and relationships defined explicitly by the replica definition are returned in
/createReplicaand/synchronizeReplicaresponses. Graph topology modifications do not impact the types returned by this replica definition. That is, the type schema is static, however property schema may be dynamic. Client applications should be written to be property schema tolerant of property schema modifications from the server.
- SyncDataModelRequestReflection
Holder for reflection information generated from esriPBuffer/graph/SyncDataModelRequest.proto
- SyncDataModelResponseReflection
Holder for reflection information generated from esriPBuffer/graph/SyncDataModelResponse.proto
- SyncTypesReflection
Holder for reflection information generated from esriPBuffer/graph/SyncTypes.proto
- SynchronizeReplicaRequestReflection
Holder for reflection information generated from esriPBuffer/graph/SynchronizeReplicaRequest.proto
- SynchronizeReplicaResponseReflection
Holder for reflection information generated from esriPBuffer/graph/SynchronizeReplicaResponse.proto
- TrimChangeLogRequestReflection
Holder for reflection information generated from esriPBuffer/graph/TrimChangeLogRequest.proto
- TrimChangeLogResponseReflection
Holder for reflection information generated from esriPBuffer/graph/TrimChangeLogResponse.proto
- TrimChangeLogStatistics
A
trim_modethat does not perform any trim operation, but rather gathers log statistics to aid owners and admins in determining any appropriate actions prior to trimming the change log.
- TrimPreserveReplicas
Empty message to represent a
trim_modethat interrogates all replica definitions and chooses the minimumlast_sync_dateamongst all replicas as thetrim_before_dateeffectively preserving every replicas ability to/synchronizeusing thereplica_deltaoption. That is, the/trimChangeLogoperation does not delete rows out from under replicas defined in the service.
- UnregisterReplicaRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UnregisterReplicaRequest.proto
- UnregisterReplicaResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UnregisterReplicaResponse.proto
- UpdateConstraintRulesRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateConstraintRulesRequest.proto
- UpdateConstraintRulesResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateConstraintRulesResponse.proto
- UpdateDomainRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateDomainRequest.proto
- UpdateDomainResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateDomainResponse.proto
- UpdateFieldRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateFieldRequest.proto
- UpdateFieldResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateFieldResponse.proto
- UpdateNamedTypeRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateNamedTypeRequest.proto
- UpdateNamedTypeResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateNamedTypeResponse.proto
- UpdateSearchIndexRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateSearchIndexRequest.proto
- UpdateSearchIndexResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UpdateSearchIndexResponse.proto
- UpdateSetOfNamedTypes
A set of named types cannot be updated to change which
oneof type_of_setelement it uses. Ifset_complementis specified, thenadd_named_typeswill add named types to the complement of the set (hence removing named types from the specified set), andremove_named_typeswill remove named types from the complement of the set (hence adding named types to the specified set). Ifsetis specified, thenadd_named_typeswill simply add named types to the set andremove_named_typeswill remove named types from the set. Removing all named types whenset_complementis specified means the set of named types includes all named types; removing all named types whensetis specified means the set of named types includes no named types.
- UpsertClientDataRequestReflection
Holder for reflection information generated from esriPBuffer/graph/UpsertClientDataRequest.proto
- UpsertClientDataResponseReflection
Holder for reflection information generated from esriPBuffer/graph/UpsertClientDataResponse.proto
Enums
- AnyValue.AnyValueTypeOneofCase
Enum of possible cases for the "any_value_type" oneof.
- ArrayValue.ArrayTypeOneofCase
Enum of possible cases for the "array_type" oneof.
- AsyncResultResponse.OperationResponseOneofCase
Enum of possible cases for the "operation_response" oneof.
- ClientData.ValueOneofCase
Enum of possible cases for the "value" oneof.
- ClientDataDeleteRequest.DeleteClientDataOneofCase
Enum of possible cases for the "delete_client_data" oneof.
- ClientDataFetchResult.FetchResultOneofCase
Enum of possible cases for the "fetch_result" oneof.
- ClientDataKey.KeyOneofCase
Enum of possible cases for the "key" oneof.
- ClientDataUpsertResult.UpsertResultOneofCase
Enum of possible cases for the "upsert_result" oneof.
- ClientDataValue.DataOneofCase
Enum of possible cases for the "data" oneof.
- ConstraintRule.ConstraintRuleTypeOneofCase
Enum of possible cases for the "constraint_rule_type" oneof.
- ConstraintRuleRole
The role of the constraint rule. User-defined constraint rules must have role
ConstraintRuleRole_Regular. The other roles pertain to system-maintained constraint rules.
- CreateReplicaRequest.ReplicaDefinitionOneofCase
Enum of possible cases for the "replica_definition" oneof.
- CreateReplicaResponse.ResultOneofCase
Enum of possible cases for the "result" oneof.
- CreateReplicaResult.ReplicaDataOneofCase
Enum of possible cases for the "replica_data" oneof.
- DateOnlyValue.DateOnlyFormatOneofCase
Enum of possible cases for the "date_only_format" oneof.
- DateTimeOffset.LocalDateTimeOneofCase
Enum of possible cases for the "local_date_time" oneof.
- DateTimeOffset.TimeOffsetOneofCase
Enum of possible cases for the "time_offset" oneof.
- DownloadParameters.ReplicaDownloadOptionsOneofCase
Enum of possible cases for the "replica_download_options" oneof.
- DurationValue.DurationFormatOneofCase
Enum of possible cases for the "duration_format" oneof.
- ExportDataFormat
The format in which the data will be exported.
- ExportRequest.ExportRequestTypeOneofCase
Enum of possible cases for the "export_request_type" oneof.
- GeometryValue.CompressedGeometryOneofCase
Enum of possible cases for the "compressed_geometry" oneof.
- GraphConstraintRuleUpdate.UpdateConstraintRuleTypeOneofCase
Enum of possible cases for the "update_constraint_rule_type" oneof.
- GraphDiscoverDataModelResponse.ResponseOneofCase
Enum of possible cases for the "response" oneof.
- GraphNamedObjectTypeUpdateRequest.NamedTypeUpdateOneofCase
Enum of possible cases for the "named_type_update" oneof.
- GraphObjectIdentifierSet.IdArrayTypeOneofCase
Enum of possible cases for the "id_array_type" oneof.
- GraphProperty.RoleTypeOneofCase
Enum of possible cases for the "role_type" oneof.
- IdentifierGenerationInfo.GenerationMethodOneofCase
Enum of possible cases for the "generation_method" oneof.
- IdentifierMappingInfo.IdentifierMapsToOneofCase
Enum of possible cases for the "identifier_maps_to" oneof.
- NamedObjectUpdate.IdOneofCase
Enum of possible cases for the "id" oneof.
- PrimitiveValue.ValueTypeOneofCase
Enum of possible cases for the "value_type" oneof.
- ReplicaFilters.DefinitionOneofCase
Enum of possible cases for the "definition" oneof.
- SetOfNamedTypes.TypeOfSetOneofCase
Enum of possible cases for the "type_of_set" oneof.
- SyncApplyEdits.EditsOneofCase
Enum of possible cases for the "edits" oneof.
- SynchronizeReplicaResponse.ResultOneofCase
Enum of possible cases for the "result" oneof.
- TimeOnlyValue.TimeOnlyFormatOneofCase
Enum of possible cases for the "time_only_format" oneof.
- TimestampOffsetValue.DateTimeFormatOneofCase
Enum of possible cases for the "date_time_format" oneof.
- TrimBeforeDateResult.ReplicaIdArrayOneofCase
Enum of possible cases for the "replica_id_array" oneof.
- TrimChangeLogRequest.TrimModeOneofCase
Enum of possible cases for the "trim_mode" oneof.
- TrimChangeLogResponse.ResultOneofCase
Enum of possible cases for the "result" oneof.
- TrimChangeLogResult.TrimResultOneofCase
Enum of possible cases for the "trim_result" oneof.
- UnregisterReplicaRequest.ReplicasOneofCase
Enum of possible cases for the "replicas" oneof.
- UploadEdits.EditFormatOneofCase
Enum of possible cases for the "edit_format" oneof.
- UploadResults.UploadResultOneofCase
Enum of possible cases for the "upload_result" oneof.